<?php

/**
 * @package Universal Sape Context for Joomla! 1.5
 * @version $Id: unisapecontext.php 123 2011-05-27 15:31:14Z kir $
 * @author Kirill Mazur
 * @copyright Copyright (C) 2011 - Kirill Mazur, wmdn.ru
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
 **/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.plugin.plugin' );

class plgSystemUnisapecontext extends JPlugin
{
	var $appl;
	var $pluginp;
	var $full;
	var $hash;
	var $encode;

	function plgSystemUnisapecontext( &$subject, $config )
	{
		$this->appl =& JFactory::getApplication();
		$plugin =& JPluginHelper::getPlugin('system', 'unisapecontext');
		$this->pluginp = new JParameter($plugin->params);
		$this->full = $this->pluginp->get("full");
		$this->hash = $this->pluginp->get("hash");
		$this->encode = $this->pluginp->get("encode");

		parent::__construct( $subject, $config );
	}

	function unisapecontext($row_text)
	{
		if (!defined('_SAPE_USER'))
		{
			define('_SAPE_USER', $this->hash);
		}
		require_once($_SERVER['DOCUMENT_ROOT'].'/'._SAPE_USER.'/sape.php');
		$o['charset'] = $this->encode; 
		$sape_context = new SAPE_context($o);
		unset($o);
		$row_text = $sape_context->replace_in_text_segment($row_text);
		
		return($row_text);
	}

	function onAfterRender()
	{
		if (!$this->appl->isAdmin() and $this->full){
			$body = JResponse::getBody();
			$body = $this->unisapecontext($body);
			JResponse::setBody($body);
		}
	}

	function onPrepareContent( &$row, &$params, $page=0 )
	{
		if (!$this->full){
			$row->text = $this->unisapecontext($row->text);
			return true;
		}
	}
}
?>